set output "clock.png"
set terminal pngcairo size 1024,768 font ",20"
set yrange [0:15000]
set style data histogram
set style histogram cluster gap 1
set style fill pattern border -1
set boxwidth 0.9
set xtic rotate by -45 scale 0
set xlabel "Number of Entities within the Webpage"
set ylabel "Time in microseconds"
set key left top 
plot 'clock_data_histogram' using 4:xtic(1) title "HIT+SVD+EQUI",\
     '' using 7 title "HIT",\
     '' using 10 title "SVD",\
     '' using 13 title "EQUI"
