from __future__ import division
import math
import os
import re
import urllib
import sys
from collections import defaultdict

dirs = []

def mk_dirs():
  global dirs
  for d in os.walk(os.environ["DATADIR"]):
    dirs.append(d[0])
  regex = re.compile(r'^.*/p[0-9]*$')
  dirs = [d for d in dirs if regex.search(d)]

def go():
  mk_dirs()
  for d in dirs:
    f = open(d+"/eval",'r')
    line = f.readline()
    f.close()
    res = line.split()
    res_eval = set()
    for res_name in res:
      url = urllib.quote_plus(urllib.unquote(res_name))
      res_eval.add(url)

    f = open(d+"/input",'r')
    line = f.readline()
    f.close()
    res = line.split()
    res_input = set()
    for res_name in res:
      url = urllib.quote_plus(urllib.unquote(res_name))
      res_input.add(url)

    res_input_clean = set()
    for x in res_input:
      if x in res_eval: res_input_clean.add(x)

    diff = res_eval - res_input_clean
    if len(diff) > 0:
      print(d)
      print(diff)

go()
