#!/bin/bash

# Path to the dataset:
#export DATADIR=/home/peportier/Dropbox/shared/LIRIS/theses/mazen_alsarem/201406/CIKM/PP8-6_summery_3/dataset
#export DATADIR=/home/peportier/data/eswc2015/inputs
#export DATADIR=/home/peportier/data/eswc2015/inputs_scale_4_reversed
export DATADIR=/Users/peportier/Dropbox/shared/LIRIS/theses/mazen_alsarem/201501/ESWC2015/inputs/inputs_20150117_eval_trust
#export DATADIR=/Users/peportier/Dropbox/shared/LIRIS/theses/mazen_alsarem/201501/ESWC2015/inputs/inputs_20150118_sym
#export DATADIR=/Users/peportier/Dropbox/shared/LIRIS/theses/mazen_alsarem/201501/ESWC2015/inputs/inputs_20150117_eval_max


# Paths to the programs:
export ACOMB=/Users/peportier/svn/ldpr/tag/bin_eswc2015/comb
#export ACOMB=/Users/peportier/svn/ldpr/tag/v5/ldpr
export AHIT=/Users/peportier/svn/ldpr/tag/bin_eswc2015/hit
export ASVD=/Users/peportier/svn/ldpr/tag/bin_eswc2015/svd
#export ASVD=/Users/peportier/svn/ldpr/tag/bin_eswc2015/comb_all_04
export AEQUI=/Users/peportier/svn/ldpr/tag/bin_eswc2015/equi
#export AEQUI=/Users/peportier/svn/ldpr/tag/bin_eswc2015/comb_all_06

echo "run the algorithms"
./runalg.sh
echo "compute ndcg"
python ldndcg.py > data
echo "plot ndcg"
gnuplot ndcg.gp
echo "get time efficiency by running the algorithms multiple times"
./runclock.sh > clock_data
echo "group time efficiency by number of resources"
./groupclock.awk clock_data | sort -k1,1n > clock_data_grouped
echo "group time efficiency by intervals of 10 resources"
./histoclock.awk clock_data_grouped > clock_data_histogram
echo "plot time efficiency"
gnuplot clock2.gp

unset DATADIR; unset AV2; unset AV3; unset AV4
