set output "clock.png"
set terminal pngcairo size 1024,768
set xlabel "Number of Entities within the Webpage"
set ylabel "Time in microseconds"
set key left top 
plot 'clock_data_grouped' using 1:4:2:3 title "ldsvd" with yerrorbars pointsize 3,\
     '' using 1:7:5:6 title "ldpr" with yerrorbars pointsize 3,\
     '' using 1:10:8:9 title "pr" with yerrorbars pointsize 3
