#!/usr/local/bin/gawk -f
{
  k=int(($1 / 10) - .5);\
  if(k>max)
  {
    max=k;
  }
  a[k]++;\
  for(i=2;i<=NF;i++)\
  {\
    b[k,i]+=$i;\
  }\
}
END {
  for(i=0 ; i < max ; i++)
  {
    if(!(i in a))
    {
      continue;
    }
    printf("[%d,%d)",i*10,(1+i)*10);\
    for(j=2;j<=NF;j++)\
    {\
      if(a[i] == 0)
      {
        printf("%10.2f ", 0);
      }
      else
      {
        printf("%10.2f ", b[i,j]/a[i]);\
      }
    }\
    printf("\n");\
  }
}
